Bug 241761 - Review Request: professor-is-missing - An AGI adventure game
Review Request: professor-is-missing - An AGI adventure game
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 09:30 EDT by Jon Ciesla
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.1-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 18:06:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2007-05-30 09:30:15 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/professor-is-missing.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/professor-is-missing-0.1-1.src.rpm
Description: In this little game, for a mysterious reason, the Professor is disaspeared in Africa. As Eric, you must find a way to go to Africa to find out the

For background on licensing and 0-length file issues, see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=240195
Comment 1 Andrea Musuruane 2007-05-30 10:33:42 EDT
404: files not found.
Comment 4 Jason Tibbitts 2007-06-04 21:01:19 EDT
I don't think it's a good idea to make any modifications to the upstream tarball
(or zipfile in this case) other than the removal of the nondistributable
content.  The downcasing of filenames and line ending conversion can easily be
done in %prep.

This makes a comparison easy: just unzip both the modified and pristine files
and run a recursive diff.  They should differ only in that some files have been
removed.  As it is, any comparison is difficult.
Comment 5 Jon Ciesla 2007-06-06 08:39:59 EDT
Corrected, but done in %setup, not %prep.

Spec URL:
http://zanoni.jcomserv.net/fedora/professor-is-missing/professor-is-missing.spec
SRPM URL:
http://zanoni.jcomserv.net/fedora/professor-is-missing/professor-is-missing-0.1-3.src.rpm

Been following the thread on f-p.  I agree that the more pristine the tarball
can be, the better.
Comment 6 Jason Tibbitts 2007-06-08 20:38:03 EDT
Actually you are doing it in %prep.  %prep is a section; %setup is a macro.

I'll take a look.
Comment 7 Jason Tibbitts 2007-06-08 22:05:35 EDT
rpmlint says just:
   E: professor-is-missing zero-length /usr/share/professor-is-missing/snddir
My understanding is that this empty directory is necessary for nagi, else it
segfaults.  Which would be a bug perhaps worth fixing, but probably shouldn't
hold up AGI packages.

BTW, you can downcase a bunch of filenames with something like
  for i in *; do
    j=`echo $i|tr '[A-Z]' '[a-z]'`
    if [ $i != $j ]; then
      mv $i $j
    fi
  done

* source files match upstream.  Manually compared exploded Source0 with the 
  upsteam zipfile:
   Only in upstream: Agi
   Only in upstream: AGIDATA.OVL
   Only in upstream: CGA_GRAF.OVL
   Only in upstream: EGA_GRAF.OVL
   Only in upstream: HGC_FONT
   Only in upstream: HGC_GRAF.OVL
   Only in upstream: HGC_OBJS.OVL
   Only in upstream: IBM_OBJS.OVL
   Only in upstream: JR_GRAF.OVL
   Only in upstream: prof.com
   Only in upstream: VG_GRAF.OVL
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is acceptable for content in Fedora.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint has only unavoidable complaints.
* final provides and requires are sane:
   professor-is-missing = 0.1-3.fc8
  =
   /bin/bash
   /bin/sh
   hicolor-icon-theme
   nagi
* %check is not present; no test suite.  I played for a few minutes and managed 
  no score no points at all.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* contains acceptable content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* desktop file looks OK and is installed properly.

APPROVED
Comment 8 Jon Ciesla 2007-06-09 23:59:29 EDT
New Package CVS Request
=======================
Package Name: professor-is-missing
Short Description: An AGI adventure game
Owners: limb@jcomserv.net
Branches: FC_5 FC-6 F-7
InitialCC:
Comment 9 Jason Tibbitts 2007-06-10 02:14:01 EDT
BTW, you forgot to set the fedora-cvs flag.  Fortunately I have CVS admin privs
so I can take care of this.

CVS done.
Comment 10 Jon Ciesla 2007-06-11 07:44:56 EDT
Man, it's been one of those weeks.  Good catch.

Built in devel.  Thanks for the review!
Comment 11 Fedora Update System 2007-06-11 18:06:52 EDT
professor-is-missing-0.1-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.